swish-0.9.0.7: A semantic web toolkit.

Portability | OverloadedStrings
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | None

Swish.Commands

Description

Functions to deal with indivudual Swish command options.

Synopsis

- swishFormat :: SwishFormat -> SwishStateIO ()
- swishBase :: Maybe QName -> SwishStateIO ()
- swishInput :: Maybe String -> SwishStateIO ()
- swishOutput :: Maybe String -> SwishStateIO ()
- swishMerge :: Maybe String -> SwishStateIO ()
- swishCompare :: Maybe String -> SwishStateIO ()
- swishGraphDiff :: Maybe String -> SwishStateIO ()
- swishScript :: Maybe String -> SwishStateIO ()

# Documentation

swishFormat :: SwishFormat -> SwishStateIO ()Source

Set the file format.

swishBase :: Maybe QName -> SwishStateIO ()Source

Set (or clear) the base URI.

swishInput Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard input.
-> SwishStateIO () |

Read in a graph and make it the current graph.

swishOutput Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard output.
-> SwishStateIO () |

Write out the current graph.

swishMerge Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard input.
-> SwishStateIO () |

Read in a graph and merge it with the current graph.

swishCompare Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard input.
-> SwishStateIO () |

Read in a graph and compare it with the current graph.

swishGraphDiff Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard input.
-> SwishStateIO () |

Read in a graph and display the differences to the current graph to standard output.

swishScript Source

Arguments

:: Maybe String | A filename or, if `Nothing`, then use standard input.
-> SwishStateIO () |

Read in a script and execute it.